import { BetaSchemaForm, ProFormInstance } from "@ant-design/pro-components"
import { Button } from "antd"
import { useEffect, useRef, useState } from "react";
import formConfig from "./formConfig";
import { useModel } from "@umijs/max";
import { getPromotionLink, getPromotionPage } from "@/services/miniApp/extend";
import { useAjax } from "@/Hook/useAjax";
import { copy } from "@/utils";


function BookExtend(props: { shortBookId?: any, bookName: any, longBookId?: any, longBookChapterId?: any }) {
    let [open, setOpen] = useState<any>(false)
    let { initialState } = useModel('@@initialState')
    const formRef = useRef<ProFormInstance>();
    let GetPromotionPage = useAjax((params) => getPromotionPage(params))//页面列表
    let PromotionLink = useAjax((params) => getPromotionLink(params))//创建链接
    let publicData = {
        appId: initialState?.selectApp?.id,
        appType: initialState?.selectApp?.appType
    }
    const submit = async (values: any) => {
        let data = {
            appType: initialState?.selectApp?.appType,
            appId: initialState?.selectApp?.id,
            linkType:1,
            ...values,
            appPageId: GetPromotionPage?.data?.data?.[0].id
        }
        PromotionLink.run(props?.shortBookId ? { ...data, shortBookId: props.shortBookId } : { ...data, longBookId: props.longBookId, longBookChapterId: props?.longBookChapterId }).then(res => {
            if (res.code === 200) {
                copy(res?.data?.data)
            }
        })
    }
    return <div>
        <Button type="link" size="small" onClick={() => {
            setOpen(true)
            GetPromotionPage.run({ ...publicData, readingContent: true })
        }}>推广</Button>
        {/* 推广配置 */}
        <BetaSchemaForm<any>
            title={`《${props?.bookName}》推广配置`}
            formRef={formRef}
            open={open}
            onOpenChange={(b) => { !b && setOpen(b) }}
            layoutType={"ModalForm"}
            labelCol={{ span: 6 }}
            wrapperCol={{ span: 14 }}
            layout='horizontal'
            onFinish={submit}
            columns={formConfig()}
            loading={PromotionLink?.loading}
        />
    </div>
}

export default BookExtend