import { ProColumns } from "@ant-design/pro-components";
import { useModel } from "@umijs/max";
import { useState } from "react";
export const columns = (list: any[]): ProColumns<any>[] => {
    let {getEnum} = useModel("global")
    let [users, setUsers] = useState<any>([])
    return [
        {
            title: "企微名称",
            dataIndex: 'corpName',
            align: "center",
            hideInSearch: true,
        },
        {
            title: "客服名称",
            dataIndex: 'corpUserName',
            align: "center",
            hideInSearch: true,
        },
        {
            title: "客户名称",
            dataIndex: 'remark',
            hideInSearch: true,
            align: "center",
            render: (_, row) => {
                return <span>{`${row?.remark}${row?.remarkCorpName ? "-" + row?.remarkCorpName : ""}`}</span>
            }
        },
        {
            title: "添加方式",
            dataIndex: 'addWay',
            align: "center",
            hideInSearch: true,
            valueEnum:getEnum("ADD_WAY","map")
        },
        {
            title: "添加时间",
            dataIndex: 'createTime',
            align: "center",
            hideInSearch: true,
        },
        // 搜索
        {
            title: "企微名称",
            dataIndex: 'corpId',
            align: "center",
            valueType: 'select',
            hideInTable: true,
            fieldProps: {
                placeholder:"请选择企业才能查询数据",
                options: list?.map(item => ({ ...item, label: item.corpName, value: item.corpId })),
                onChange: (a: any, row: any) => {
                    setUsers(row ? row.corpUserList : [])
                }
            },
        },
        {
            title: "客服名称",
            dataIndex: 'corpUserId',
            align: "center",
            valueType: 'select',
            hideInSearch: users?.length === 0,
            hideInTable: true,
            fieldProps: {
                placeholder:"请选择对应企业客服才能查询数据",
                options: users?.map((item: { name: any; corpUserId: any; }) => ({ ...item, label: item.name, value: item.corpUserId }))
            },
        },
    ];
}