import { api } from '@/services/api';
import { request } from '@umijs/max';
type Page = {
  pageSize: number | string,
  pageNum: number | string
}

interface Params extends Page {
  appType: string,//应用类型
}
/**管理应用列表 */
export async function manageList(params: Params) {
  return request(api + '/admin/manageApp/manageList', {
    method: 'GET',
    params
  });
}

/**配置的子账号列表 */
export async function accountConfigList(params: { appType: string, appId: string }) {
  let { appType, appId } = params
  return request(api + `/admin/manageApp/accountConfigList/${appType}/${appId}`, {
    method: 'GET'
  });
}
/**删除 */
export async function delAccountConfig(configId: any) {
  return request(api + `/admin/manageApp/delAccountConfig/${configId}`, {
    method: 'DELETE'
  });
}

/**指派账号 */
export async function accountConfig(data: {
  appId: string,
  appType: number,//应用类型
  advertisingChannels: number,//投放渠道
  distributorAccountIds: string//投放账号
}) {
  return request(api + `/admin/manageApp/accountConfig`, {
    method: 'PUT',
    data
  });
}

/**账号状态修改 */
export async function accountConfigEnabled(data: { configId: any, enabled: any }) {
  let { configId, enabled } = data
  return request(api + `/admin/manageApp/accountConfigEnabled/${configId}/${enabled}`, {
    method: 'PUT',
  });
}